
From: <mike.miller@hp.com>

This change is required to support the new MSA30 storage enclosure.  If you
do a SCSI inquiry to a SATA disk bad things happen.  This patch prevents
the inquiry from going to SATA disks.


---

 25-akpm/drivers/block/cciss_scsi.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/block/cciss_scsi.c~cciss-MSA30-support drivers/block/cciss_scsi.c
--- 25/drivers/block/cciss_scsi.c~cciss-MSA30-support	Thu Mar 25 14:30:23 2004
+++ 25-akpm/drivers/block/cciss_scsi.c	Thu Mar 25 14:30:23 2004
@@ -1058,6 +1058,7 @@ cciss_update_non_disk_devices(int cntl_n
 		int devtype;
 
 		/* for each physical lun, do an inquiry */
+		if (ld_buff->LUN[i][3] & 0xC0) continue;
 		memset(inq_buff, 0, sizeof(InquiryData_struct));
 		memcpy(&scsi3addr[0], &ld_buff->LUN[i][0], 8);
 

_
